Name:             tika
Version:          1.4
Release:          1%{dist}
Summary:          Apache Tika
License:          ASL 2.0
Url:              http://tika.apache.org/
Source0:          http://archive.apache.org/dist/tika/tika-%{version}-src.zip

BuildRequires:    maven-local
BuildRequires:    maven-failsafe-plugin
BuildRequires:    apache-poi
BuildRequires:    apache-mime4j
BuildRequires:    pdfbox

BuildArch:        noarch

%description
The Apache Tika toolkit detects and extracts metadata and structured text
content from various documents using existing parser libraries.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%pom_disable_module tika-xmp
%pom_disable_module tika-app
%pom_disable_module tika-server
%pom_disable_module tika-bundle
%pom_disable_module tika-parsers

%pom_remove_plugin ":clirr-maven-plugin" tika-core/pom.xml

# This test uses network connectivity
rm tika-core/src/test/java/org/apache/tika/mime/MimeDetectionTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Wed Oct 09 2013 Marek Goldmann <mgoldman@redhat.com> - 1.4-1
- Initial import



